package de.intevation.flys.client.shared.model;

import com.smartgwt.client.widgets.grid.ListGridRecord;


public class SedimentLoadInfoRecord
extends ListGridRecord
{
    protected SedimentLoadInfoObject sedimentLoadInfo;

    public SedimentLoadInfoRecord(SedimentLoadInfoObject info) {
        this.sedimentLoadInfo = info;
        setDescription(info.getDescription());
        setDate(info.getDate());
    }

    public void setDescription(String description) {
        setAttribute("description", description);
    }

    public void setDate(String date) {
        setAttribute("date", date);
    }

    public String getDescription() {
        return getAttribute("description");
    }

    public String getDate() {
        return getAttribute("date");
    }
}
